=== core/examples/vnl_calc/CMakeLists.txt ===
ADD_EXECUTABLE( vnl_calc vnl_calc.cxx )
TARGET_LINK_LIBRARIES( vnl_calc vnl_algo vnl vcl )
