=== debian/changelog ===
vxl (1.17.0.dfsg-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Remove self from uploaders

  [ Andreas Tille ]
  * cme fix dpkg-control
  * d/copyright: Remove unused compressed JS
  * d/rules: adapt get-orig-source to deal with JS removal
  * d/watch: add '.dfsg' (note: '+dfsg' does not work since vxl refuses
    to build if a '+' sign is in the path)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Aug 2014 17:05:35 +0200

vxl (1.17.0-8.1) experimental; urgency=low

  * Non-maintainer upload.
  * Compile against libav10, patch provided by anton@khirnov.net
    (Closes: #739457)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Mar 2014 22:39:17 -0400
