=== debian/watch ===
version=3
# note: '+dfsg' does not work since vxl refuses to build if a '+' sign is in the path
# see https://lists.debian.org/debian-med/2014/08/msg00087.html
opts="uversionmangle=s/$/.dfsg/" \
  http://sf.net/vxl/vxl-([\d\.]+)\.tar.gz
